package com.ningdatech.pmapi.statemachine;

import com.alibaba.fastjson.JSON;
import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.common.statemachine.util.StateMachineUtils;
import com.ningdatech.pmapi.projectlib.enumeration.ProjectStatusEnum;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.ningdatech.pmapi.projectlib.service.IProjectService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;

/**
 * 状态机测试
 *
 * @author CMM
 * @since 2023/02/08 11:46
 */

public class StateMachineTest extends AppTests {
    @Autowired
    private StateMachineUtils stateMachineUtils;

    @Autowired
    private IProjectService projectService;

    @Test
    public void stateMachineTest() {
        Project project = projectService.getById(292);
        stateMachineUtils.pass(project);
        System.out.println(String.format("project:%s", JSON.toJSONString(project)));
        projectService.updateById(project);
    }
}
